## kcm-plasma-services 1.0+p20201123+git20201207.1949

=== CMakeLists.txt ===
project(sddm-kcm)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(PROJECT_VERSION "5.6.90")
set(QT_MIN_VERSION "5.4.0")
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets DBus)

find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    I18n
    XmlGui
    ConfigWidgets
    KIO
    Baloo
)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_plasmaservices\")

install(FILES kcm_plasmaservices.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(SERVICES
    akonadiservice.cpp
    balooservice.cpp
    krunnerservice.cpp
    kwalletservice.cpp
    )

set(PLASMA_SERVICES_KCM
    plasmaserviceskcm.cpp
    ${SERVICES}
)

add_executable(plasma_services_test test.cpp ${SERVICES})

#
# set(SDDM_KCM_UI
#     ui/themeconfig.ui
#     ui/advanceconfig.ui)

# ki18n_wrap_ui(PLASMA_SERVICES_KCM ${SDDM_KCM_UI})
add_library(kcm_plasmaservices MODULE ${PLASMA_SERVICES_KCM})
target_compile_definitions(kcm_plasmaservices PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kcm_plasmaservices
    Qt5::Widgets
    Qt5::DBus
    KF5::I18n
    KF5::ConfigWidgets
    KF5::KIOWidgets
    KF5::Baloo
)
target_link_libraries(plasma_services_test
    Qt5::Widgets
    Qt5::DBus
    KF5::I18n
    KF5::ConfigWidgets
    KF5::KIOWidgets
    KF5::Baloo
)

install(TARGETS kcm_plasmaservices DESTINATION ${CMAKE_INSTALL_PLUGINDIR})

=== debian/changelog ===
kcm-plasma-services (1.0+p20201123+git20201207.1949-0) 2101+amd64; urgency=medium

  * Automatic Debian CI Build

 -- Debian CI <null@debian.org>  Mon, 07 Dec 2020 19:49:58 +0000

kcm-plasma-services (1.0-1) xenial; urgency=low

  * Initial release 

 -- Leszek Lesner <leszek@zevenos.com>  Thu, 29 Mar 2016 11:15:39 +0200

=== debian/control ===
Source: kcm-plasma-services
Section: misc
Priority: optional
Maintainer: Leszek Lesner <leszek@zevenos.com>
Build-Depends: baloo-kf5-dev,
               cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kio-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://github.com/netrunner-common-extras/kcm-plasma-services
Vcs-Git: https://github.com/dci-extras-packaging/kcm-plasma-services
Vcs-Browser: https://github.com/dci-extras-packaging/kcm-plasma-services

Package: kcm-plasma-services
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Easily turn on/off certain Plasma Services
 Allows a user to fine tune services running on the Plasma Desktop
